from dotenv import load_dotenv
import os

load_dotenv()


class Config:
    WORLD_WIDTH = int(os.getenv("WORLD_WIDTH", 1000))
    WORLD_HEIGHT = int(os.getenv("WORLD_HEIGHT", 1000))

    HATECOMPUTERS_ENDPOINT = os.getenv(
        "HATECOMPUTERS_ENDPOINT", "https://hatecomputers.club"
    )

    MIN_TIME_STEP = float(os.getenv("MIN_TIME_STEP", 0.05))

    COOKIE_MAX_AGE = int(os.getenv("COOKIE_MAX_AGE", 60 * 60 * 24 * 7))  # 1 week


config = Config()
